# [BETA] Change public IP address

```http
POST /compute/v1/tenants/{tenantId}/instances/{instanceId}/public-ip
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `ChangePublicIPAddress`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `operate:compute:instances`

Changes or releases the public IP address of a VM instance

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `instanceId` (string, required) — Instance ID

## Request body (required)

IP address request

Content type: `application/json`

- `address` (object)
  - additional properties (string)

Example request body:

```json
{
  "address": {}
}
```

## Responses

### 204 — No content

### 400 — Bad Request

Content type: `application/json`

- `message` (string)

### 403 — Compute is read-only or suspended for this tenant

Content type: `application/json`

- `message` (string)
